post
/v4/overrides/check
Validate if an override is allowed. Checks: (1) rewardToken cannot change, (2) amount cannot change, (3) startTimestamp cannot change after campaign starts, (4) endTimestamp must be in future.
Request body
object
oldConfiganyrequired
newConfiganyrequired
Responses
200Response for status 200
Schema
object
isValidbooleanrequired
Whether the override is validerrorsobject[]requiredValidation errors if any
pathstringField path that failed validationmessagestringHuman-readable error messageExample
{
"isValid": false,
"errors": [
{
"path": "string",
"message": "string"
}
]
}post
https://api.merkl.xyz/v4/overrides/checkcurl -X POST "https://api.merkl.xyz/v4/overrides/check" \
-H "Content-Type: application/json" \
-d '{ "oldConfig": null, "newConfig": null }'Current params
{
"body": {
"oldConfig": null,
"newConfig": null
}
}Live request — this will call https://api.merkl.xyz/ for real.